XmLTreeAddRows(3X)

NAME
XmLTreeAddRows - add rows to a Tree

SYNTAX
void XmLTreeAddRows(widget, rows, count, position)
Widget widget;
XmLTreeRowDefinition *rows;
int count;
int position;

ARGUMENTS

widget
    Tree widget ID

rows
    array definining rows to add

count
    number of rows

position
    position of rows to add

DESCRIPTION
Adds count content rows to the Tree at the specified position. A position of 0 indicates the first position and a position of -1 specifies after the last position. The row levels, expansion abilities, expansion states, strings and pixmaps for the rows are defined by their value in the rows array passed to this function. Each item in the array defines a row to be added to the Tree. The pixmap, pixmask and strings defined will appear in the first cell of the row. The pixmap and pixmask values may be XmUNSPECIFIED_PIXMAP, in which case, the default pixmap will be displayed. If expands is True for a row, the row may be expanded by the user. The isExpanded flag indicates if a row is currently expanded (True) or not (False). The XmString strings contained in the array are copied by the Tree and should be freed when they are no longer used.

SEE ALSO
XmLTree(3X) XmLTreeAddRow(3X)